## linux-manta 3.4.0-6.29

=== drivers/staging/iio/pressure/Makefile ===
#
# Makefile for industrial I/O Pressure sensors
#

obj-$(CONFIG_BMP182)		+= bmp182.o

=== drivers/video/omap2/dss/Makefile ===
obj-$(CONFIG_OMAP2_DSS) += omapdss.o
omapdss-y := core.o dss.o dss_features.o dispc.o dispc_coefs.o display.o \
	manager.o overlay.o apply.o
omapdss-$(CONFIG_OMAP2_DSS_DPI) += dpi.o
omapdss-$(CONFIG_OMAP2_DSS_RFBI) += rfbi.o
omapdss-$(CONFIG_OMAP2_DSS_VENC) += venc.o
omapdss-$(CONFIG_OMAP2_DSS_SDI) += sdi.o
omapdss-$(CONFIG_OMAP2_DSS_DSI) += dsi.o
omapdss-$(CONFIG_OMAP4_DSS_HDMI) += hdmi.o \
				    hdmi_panel.o ti_hdmi_4xxx_ip.o

=== drivers/gpu/arm/t6xx/kbase/Makefile ===
#
# (C) COPYRIGHT 2011-2013 ARM Limited. All rights reserved.
#
# This program is free software and is provided to you under the terms of the
# GNU General Public License version 2 as published by the Free Software
# Foundation, and any use by you of this program is subject to the terms
# of such GNU licence.
#
# A copy of the licence is included with the program, and can also be obtained
# from Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
#


# Defaults
export PLATFORM?=dummy
export MALI_ANDROID?=0
export MALI_UNIT_TEST?=0
export MALI_KERNEL_TEST_API?=0
export MALI_MOCK_TEST?=0
export MALI_INSTRUMENTATION_LEVEL?=0
export MALI_CUSTOMER_RELEASE?=1
export MALI_COVERAGE?=0
export CONFIG_MALI_NO_MALI?=n
export CONFIG_UMP?=m
export CONFIG_MALI_DEBUG?=y
export CONFIG_MALI_ERROR_INJECT?=n
export CONFIG_MALI_PLATFORM_FAKE?=y
export CONFIG_MALI_PLATFORM_VEXPRESS?=y
export CONFIG_MALI_GATOR_SUPPORT?=y
export CONFIG_MALI_T6XX?=m
export CONFIG_KDS?=m
export CONFIG_MALI_DEBUG_SHADER_SPLIT_FS?=n
export CONFIG_MALI_TRACE_TIMELINE?=n

ifeq ($(CONFIG_MALI_NO_MALI),y)
	SCONS_CFLAGS+=-DCONFIG_MALI_NO_MALI
endif
ifeq ($(CONFIG_UMP),m)
	SCONS_CFLAGS+=-DCONFIG_UMP
endif
ifeq ($(CONFIG_MALI_DEBUG),y)
	SCONS_CFLAGS+=-DCONFIG_MALI_DEBUG
endif
ifeq ($(CONFIG_MALI_DEBUG_SHADER_SPLIT_FS),y)
	SCONS_CFLAGS+=-DCONFIG_MALI_DEBUG_SHADER_SPLIT_FS
endif
ifeq ($(CONFIG_MALI_ERROR_INJECT),y)
	SCONS_CFLAGS+=-DCONFIG_MALI_ERROR_INJECT
endif
ifneq ($(CONFIG_MALI_PLATFORM_FAKE),n)
	SCONS_CFLAGS+=-DCONFIG_MALI_PLATFORM_FAKE
endif
ifeq ($(CONFIG_MALI_PLATFORM_VEXPRESS),y)
	SCONS_CFLAGS+=-DCONFIG_MALI_PLATFORM_VEXPRESS
endif
ifeq ($(CONFIG_MALI_PLATFORM_VEXPRESS_VIRTEX7_40MHZ),y)
	SCONS_CFLAGS+=-DCONFIG_MALI_PLATFORM_VEXPRESS_VIRTEX7_40MHZ
endif
ifeq ($(CONFIG_MALI_GATOR_SUPPORT),y)
	SCONS_CFLAGS+=-DCONFIG_MALI_GATOR_SUPPORT
endif
ifeq ($(CONFIG_KDS),m)
	SCONS_CFLAGS+=-DCONFIG_KDS
endif
ifeq ($(CONFIG_MALI_TRACE_TIMELINE),y)
	SCONS_CFLAGS+=-DCONFIG_MALI_TRACE_TIMELINE
endif
export SCONS_CFLAGS

KDIR ?= /lib/modules/$(shell uname -r)/build

# MROOT defines root of kernel device driver components
# This makefile may reside in container directory of the kernel device driver components or within the
# 'kbase' kernel driver component itself, so we set MROOT accordingly.
#
ifeq ($(wildcard $(PWD)/kbase/src/Makefile),)
MROOT=$(PWD)/../../../../../..
else
MROOT=$(PWD)
endif

KBASE_PATH=$(MROOT)/kernel/drivers/gpu/arm/t6xx/kbase
UMP_PATH=$(MROOT)/kernel/drivers/base/ump
KDS_PATH=$(MROOT)/kernel/drivers/base/kds

all:
	$(MAKE) -C $(KDS_PATH)
	$(MAKE) -C $(UMP_PATH)/src
	$(MAKE) -C $(KBASE_PATH)/src

clean:
	$(MAKE) -C $(KDS_PATH) clean
	$(MAKE) -C $(UMP_PATH)/src clean
	$(MAKE) -C $(KBASE_PATH)/src clean

=== drivers/net/wireless/bcmdhd/include/Makefile ===
#!/bin/bash
#
# This script serves following purpose:
#
# 1. It generates native version information by querying
#    automerger maintained database to see where src/include
#    came from
# 2. For select components, as listed in compvers.sh
#    it generates component version files
#
# Copyright 2005, Broadcom, Inc.
#
# $Id: Makefile 347587 2012-07-27 09:13:31Z prakashd $
#

export SRCBASE:=..

TARGETS := epivers.h

ifdef VERBOSE
export VERBOSE
endif

all release: epivers compvers

# Generate epivers.h for native branch url
epivers:
	bash epivers.sh

# Generate component versions based on component url
compvers:
	@if [ -s "compvers.sh" ]; then \
		echo "Generating component versions, if any"; \
		bash compvers.sh; \
	else \
		echo "Skipping component version generation"; \
	fi

# Generate epivers.h for native branch version
clean_compvers:
	@if [ -s "compvers.sh" ]; then \
		echo "bash compvers.sh clean"; \
		bash compvers.sh clean; \
	else \
		echo "Skipping component version clean"; \
	fi

clean:
	rm -f $(TARGETS) *.prev

clean_all: clean clean_compvers

.PHONY: all release clean epivers compvers clean_compvers

## linux-manta 3.4.0-7.30

=== drivers/char/Makefile ===
#
# Makefile for the kernel character device drivers.
#

obj-y				+= mem.o random.o
obj-$(CONFIG_TTY_PRINTK)	+= ttyprintk.o
obj-y				+= misc.o
obj-$(CONFIG_ATARI_DSP56K)	+= dsp56k.o
obj-$(CONFIG_VIRTIO_CONSOLE)	+= virtio_console.o
obj-$(CONFIG_RAW_DRIVER)	+= raw.o
obj-$(CONFIG_SGI_SNSC)		+= snsc.o snsc_event.o
obj-$(CONFIG_MSM_SMD_PKT)	+= msm_smd_pkt.o
obj-$(CONFIG_MSPEC)		+= mspec.o
obj-$(CONFIG_MMTIMER)		+= mmtimer.o
obj-$(CONFIG_UV_MMTIMER)	+= uv_mmtimer.o
obj-$(CONFIG_VIOTAPE)		+= viotape.o
obj-$(CONFIG_IBM_BSR)		+= bsr.o
obj-$(CONFIG_SGI_MBCS)		+= mbcs.o
obj-$(CONFIG_BFIN_OTP)		+= bfin-otp.o

obj-$(CONFIG_PRINTER)		+= lp.o

obj-$(CONFIG_APM_EMULATION)	+= apm-emulation.o

obj-$(CONFIG_DTLK)		+= dtlk.o
obj-$(CONFIG_APPLICOM)		+= applicom.o
obj-$(CONFIG_SONYPI)		+= sonypi.o
obj-$(CONFIG_RTC)		+= rtc.o
obj-$(CONFIG_HPET)		+= hpet.o
obj-$(CONFIG_GEN_RTC)		+= genrtc.o
obj-$(CONFIG_EFI_RTC)		+= efirtc.o
obj-$(CONFIG_DS1302)		+= ds1302.o
obj-$(CONFIG_XILINX_HWICAP)	+= xilinx_hwicap/
ifeq ($(CONFIG_GENERIC_NVRAM),y)
  obj-$(CONFIG_NVRAM)	+= generic_nvram.o
else
  obj-$(CONFIG_NVRAM)	+= nvram.o
endif
obj-$(CONFIG_TOSHIBA)		+= toshiba.o
obj-$(CONFIG_I8K)		+= i8k.o
obj-$(CONFIG_DS1620)		+= ds1620.o
obj-$(CONFIG_HW_RANDOM)		+= hw_random/
obj-$(CONFIG_PPDEV)		+= ppdev.o
obj-$(CONFIG_NWBUTTON)		+= nwbutton.o
obj-$(CONFIG_NWFLASH)		+= nwflash.o
obj-$(CONFIG_SCx200_GPIO)	+= scx200_gpio.o
obj-$(CONFIG_PC8736x_GPIO)	+= pc8736x_gpio.o
obj-$(CONFIG_NSC_GPIO)		+= nsc_gpio.o
obj-$(CONFIG_GPIO_TB0219)	+= tb0219.o
obj-$(CONFIG_TELCLOCK)		+= tlclk.o

obj-$(CONFIG_MWAVE)		+= mwave/
obj-$(CONFIG_AGP)		+= agp/
obj-$(CONFIG_PCMCIA)		+= pcmcia/
obj-$(CONFIG_IPMI_HANDLER)	+= ipmi/

obj-$(CONFIG_HANGCHECK_TIMER)	+= hangcheck-timer.o
obj-$(CONFIG_TCG_TPM)		+= tpm/

obj-$(CONFIG_DCC_TTY)		+= dcc_tty.o
obj-$(CONFIG_PS3_FLASH)		+= ps3flash.o
obj-$(CONFIG_RAMOOPS)		+= ramoops.o

obj-$(CONFIG_JS_RTC)		+= js-rtc.o
js-rtc-y = rtc.o

obj-$(CONFIG_TILE_SROM)		+= tile-srom.o

=== drivers/media/video/exynos/Makefile ===
obj-$(CONFIG_EXYNOS_MEDIA_DEVICE)	+= mdev/
obj-$(CONFIG_VIDEO_EXYNOS_MIPI_CSIS)	+= mipi-csis/
obj-$(CONFIG_VIDEO_EXYNOS_FIMC_LITE)	+= fimc-lite/
obj-$(CONFIG_VIDEO_EXYNOS_GSCALER)	+= gsc/
obj-$(CONFIG_VIDEO_EXYNOS_JPEG)		+= jpeg/
obj-$(CONFIG_VIDEO_EXYNOS_FIMG2D)	+= fimg2d/
obj-$(CONFIG_VIDEO_EXYNOS_MFC)	+= mfc/
obj-$(CONFIG_VIDEO_EXYNOS_TV)		+= tv/
obj-$(CONFIG_VIDEO_EXYNOS_ROTATOR)	+= rotator/
obj-$(CONFIG_VIDEO_EXYNOS5_FIMC_IS)	+= fimc-is-mc/
obj-$(CONFIG_VIDEO_EXYNOS5_FIMC_IS2)	+= fimc-is-mc2/

EXTRA_CLAGS += -Idrivers/media/video

=== drivers/net/ethernet/fujitsu/Makefile ===
#
# Makefile for the Fujitsu network device drivers.
#

obj-$(CONFIG_AT1700) += at1700.o
obj-$(CONFIG_ETH16I) += eth16i.o
obj-$(CONFIG_PCMCIA_FMVJ18X) += fmvj18x_cs.o

=== drivers/net/wireless/bcmdhd/Makefile ===
# bcmdhd
#
#
#
#
#

DHDCFLAGS = -Wall -Wstrict-prototypes -Dlinux -DBCMDRIVER                     \
	-DBCMDONGLEHOST -DUNRELEASEDCHIP -DBCMDMA32 -DBCMFILEIMAGE            \
	-DDHDTHREAD -DDHD_DEBUG -DSDTEST -DBDC                                \
	-DDHD_BCMEVENTS -DSHOW_EVENTS -DPROP_TXSTATUS -DBCMDBG                \
	-DCUSTOMER_HW2 -DOOB_INTR_ONLY -DHW_OOB                               \
	-DMMC_SDIO_ABORT -DBCMSDIO -DBCMLXSDMMC -DBCMPLATFORM_BUS -DWLP2P     \
	-DWIFI_ACT_FRAME -DARP_OFFLOAD_SUPPORT                                \
	-DKEEP_ALIVE -DGET_CUSTOM_MAC_ENABLE -DPKT_FILTER_SUPPORT             \
	-DEMBEDDED_PLATFORM -DENABLE_INSMOD_NO_FW_LOAD -DPNO_SUPPORT          \
	-DDHD_USE_IDLECOUNT -DSET_RANDOM_MAC_SOFTAP -DROAM_ENABLE -DVSDB      \
	-DWL_CFG80211_VSDB_PRIORITIZE_SCAN_REQUEST                            \
	-DESCAN_RESULT_PATCH -DSDIO_CRC_ERROR_FIX                             \
	-DDHD_DONOT_FORWARD_BCMEVENT_AS_NETWORK_PKT -DRXFRAME_THREAD          \
	-DSUPPORT_PM2_ONLY -DWLTDLS                                           \
	-DMIRACAST_AMPDU_SIZE=8                                               \
	-Idrivers/net/wireless/bcmdhd -Idrivers/net/wireless/bcmdhd/include   \
	-Idrivers/net/wireless/bcmdhd/common/include

DHDOFILES = aiutils.o bcmsdh_sdmmc_linux.o dhd_linux.o siutils.o bcmutils.o   \
	dhd_linux_sched.o dhd_sdio.o bcmwifi_channels.o bcmevent.o hndpmu.o   \
	bcmsdh.o dhd_cdc.o bcmsdh_linux.o dhd_common.o dhd_wlfc.o dhd_ip.o    \
	linux_osl.o bcmsdh_sdmmc.o dhd_custom_gpio.o sbutils.o wldev_common.o \
	wl_android.o dhd_pno.o

obj-$(CONFIG_BCMDHD) += bcmdhd.o
bcmdhd-objs += $(DHDOFILES)
ifneq ($(CONFIG_WIRELESS_EXT),)
bcmdhd-objs += wl_iw.o
DHDCFLAGS += -DSOFTAP -DWL_WIRELESS_EXT -DUSE_IW
endif
ifneq ($(CONFIG_CFG80211),)
bcmdhd-objs += wl_cfg80211.o wl_cfgp2p.o wl_linux_mon.o dhd_cfg80211.o
DHDCFLAGS += -DWL_CFG80211 -DWL_CFG80211_STA_EVENT -DWL_ENABLE_P2P_IF
DHDCFLAGS += -DWL_IFACE_COMB_NUM_CHANNELS
DHDCFLAGS += -DCUSTOM_ROAM_TRIGGER_SETTING=-65
DHDCFLAGS += -DCUSTOM_ROAM_DELTA_SETTING=15
DHDCFLAGS += -DCUSTOM_KEEP_ALIVE_SETTING=28000
DHDCFLAGS += -DCUSTOM_PNO_EVENT_LOCK_xTIME=10
endif
ifneq ($(CONFIG_DHD_USE_SCHED_SCAN),)
DHDCFLAGS += -DWL_SCHED_SCAN
endif
EXTRA_CFLAGS = $(DHDCFLAGS)
ifeq ($(CONFIG_BCMDHD),m)
EXTRA_LDFLAGS += --strip-debug
endif

#########################
# Chip dependent feature
#########################
ifneq ($(CONFIG_BCM4339),)
DHDCFLAGS += -DCUSTOM_GLOM_SETTING=8 -DCUSTOM_RXCHAIN=1
DHDCFLAGS += -DUSE_DYNAMIC_F2_BLKSIZE -DDYNAMIC_F2_BLKSIZE_FOR_NONLEGACY=128
DHDCFLAGS += -DBCMSDIOH_TXGLOM -DCUSTOM_TXGLOM=1 -DBCMSDIOH_TXGLOM_HIGHSPEED
DHDCFLAGS += -DCUSTOM_SDIO_F2_BLKSIZE=512
DHDCFLAGS += -DDHDTCPACK_SUPPRESS
DHDCFLAGS += -DUSE_WL_TXBF
DHDCFLAGS += -DUSE_WL_FRAMEBURST
DHDCFLAGS += -DCUSTOM_AMPDU_BA_WSIZE=32
DHDCFLAGS += -DPROP_TXSTATUS_VSDB
DHDCFLAGS += -DCUSTOM_MAX_TXGLOM_SIZE=32
DHDCFLAGS += -DREPEAT_READFRAME
else
DHDCFLAGS += -DCUSTOM_SDIO_F2_BLKSIZE=128
endif

=== debian/changelog ===
linux-manta (3.4.0-7.30) vivid; urgency=low

  [ Andy Whitcroft ]

  * [Config] CONFIG_FHANDLE=y
    - LP: #1412543

  [ Tim Gardner ]

  * [Debian] getabis: Commit new ABI directory, remove the old

 -- Andy Whitcroft <apw@canonical.com>  Tue, 20 Jan 2015 12:07:58 +0000

linux-manta (3.4.0-6.29) utopic; urgency=low

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: Sync to apparmor3 - RC1 snapshot
    - LP: #1362199

  [ Tim Gardner ]

  * Revert "SAUCE: (no-up) apparmor: Sync to apparmor 3 - alpha 6 snapshot"

  [ Tyler Hicks ]

  * Revert "SAUCE: (no-up) apparmor: fix disconnected bind mnts
    reconnection"
  * Revert "SAUCE: (no-up) apparmor fix: remove unused cxt var for
    unix_sendmsg"
  * Revert "SAUCE: (no-up) apparmor: use custom write_is_locked macro"
  * Revert "SAUCE: (no-up) apparmor: fix bug that constantly spam the
    console"
  * Revert "SAUCE: (no-up) apparmor: fix apparmor refcount bug in
    apparmor_kill"
  * Revert "SAUCE: (no-up) apparmor: fix refcount bug in apparmor
    pivotroot"
  * Revert "SAUCE: (no-up) apparmor: fix apparmor spams log with warning
    message"

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 19 Sep 2014 10:35:55 -0600

linux-manta (3.4.0-6.28) utopic; urgency=low

  [ Upstream Kernel Changes ]

  * auditsc: audit_krule mask accesses need bounds checking
    - LP: #1325941
    - CVE-2014-3917
  * ptrace, x86: force IRET path after a ptrace_stop()
    - LP: #1337339
    - CVE-2014-4699
  * net/l2tp: don't fall back on UDP [get|set]sockopt
    - LP: #1341472
    - CVE-2014-4943

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 03 Sep 2014 12:43:49 -0700

linux-manta (3.4.0-6.27) utopic; urgency=low

  [ Javier Martinez Canillas ]

  * SAUCE: (no-up) apparmor: fix bug that constantly spam the console
    - LP: #1323526

  [ John Johansen ]

  * Revert "SAUCE: apparmor: removing extra code block that was probably
    added by a conflict"
  * Revert "SAUCE: apparmor: removing define as it's currently defined"
  * Revert "SAUCE: apparmor: fix bad lock balance when introspecting
    policy"
  * Revert "SAUCE: apparmor: fix memleak of replacedby struct"
  * Revert "SAUCE: apparmor: fix memleak of the profile hash"
  * Revert "SAUCE: apparmor: allocate path lookup buffers during init"
  * Revert "SAUCE: apparmor: fix unix domain sockets to be mediated on
    connection"
  * Revert "SAUCE: (no-up) apparmor: Sync to apparmor 3 - alpha 4 snapshot"
  * SAUCE: (no-up) apparmor: Sync to apparmor 3 - alpha 6 snapshot
  * SAUCE: (no-up) apparmor: update configs for apparmor 3 alpha 6
  * SAUCE: (no-up) apparmor: fix apparmor spams log with warning message
    - LP: #1308761
  * SAUCE: (no-up) apparmor: fix refcount bug in apparmor pivotroot
    - LP: #1308765
  * SAUCE: (no-up) apparmor: fix apparmor refcount bug in apparmor_kill
    - LP: #1308764
  * SAUCE: (no-up) apparmor: use custom write_is_locked macro
    - LP: #1323530
  * SAUCE: (no-up) apparmor fix: remove unused cxt var for unix_sendmsg
  * SAUCE: (no-up) apparmor: fix disconnected bind mnts reconnection
    - LP: #1319984

  [ Tyler Hicks ]

  * [Config] CONFIG_ECRYPT_FS=y
  * [Config] Sync LSM config options
  * [Config] Sync crypto config options
  * [Config] Sync IPsec config options

  [ Upstream Kernel Changes ]

  * Revert "perf: Treat attr.config as u64 in perf_swevent_init()"
  * Revert "ARM: 7809/1: perf: fix event validation for software group
    leaders"
    - CVE-2013-4254
  * net: fix incorrect credentials passing
    - CVE-2013-1979
  * perf: Treat attr.config as u64 in perf_swevent_init()
    - CVE-2013-2094
  * iscsi-target: fix heap buffer overflow on error
    - CVE-2013-2850
  * ARM: 7809/1: perf: fix event validation for software group leaders
    - CVE-2013-4254
  * n_tty: Fix n_tty_write crash when echoing in raw mode
    - CVE-2014-0196
  * floppy: ignore kernel-only members in FDRAWCMD ioctl input
    - CVE-2014-1737
  * floppy: don't write kernel-only members to FDRAWCMD ioctl output
    - CVE-2014-1738
  * futex: fix handling of read-only-mapped hugepages
    - CVE-2014-3153
  * futex: Add another early deadlock detection check
    - CVE-2014-3153
  * futex: Prevent attaching to kernel threads
    - CVE-2014-3153
  * futex-prevent-requeue-pi-on-same-futex.patch futex: Forbid uaddr ==
    uaddr2 in futex_requeue(..., requeue_pi=1)
    - CVE-2014-3153
  * futex: Validate atomic acquisition in futex_lock_pi_atomic()
    - CVE-2014-3153
  * futex: Always cleanup owner tid in unlock_pi
    - CVE-2014-3153
  * futex: Make lookup_pi_state more robust
    - CVE-2014-3153

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 26 Jun 2014 12:59:21 -0600

linux-manta (3.4.0-6.26) utopic; urgency=low

  [ Tyler Hicks ]

  * [Config] Enable ext2 and ext4 security-related options

  [ Upstream Kernel Changes ]

  * exec/ptrace: fix get_dumpable() incorrect tests
    - LP: #1266546
    - CVE-2013-2929

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 30 May 2014 11:15:39 +0200

linux-manta (3.4.0-6.25) trusty; urgency=low

  [ Tim Gardner ]

  * [Config] CONFIG_EXT3_FS_POSIX_ACL=y, CONFIG_EXT3_FS_SECURITY=y
    - LP: #1295948

 -- Tim Gardner <tim.gardner@canonical.com>  Sun, 23 Mar 2014 09:35:15 -0600

linux-manta (3.4.0-6.24) trusty; urgency=low

  [ Andy Whitcroft ]

  * [Config] CONFIG_RT_GROUP_SCHED=n
    - LP: #1284731
  * [Config] enforcer file cannot be zero length

 -- Andy Whitcroft <apw@canonical.com>  Wed, 26 Feb 2014 10:58:59 +0000

linux-manta (3.4.0-5.22) trusty; urgency=low

  [ Ricardo Salveti de Araujo ]

  * SAUCE: manta-battery: syncing prop status and capacity across batteries

 -- Andy Whitcroft <apw@canonical.com>  Mon, 17 Feb 2014 15:58:24 +0000

linux-manta (3.4.0-5.21) trusty; urgency=low

  [ Kees Cook ]

  * SAUCE: (no-up) Yama: add link restrictions

  [ Tyler Hicks ]

  * [Config] Enable Stacked Yama

  [ Upstream Kernel Changes ]

  * Yama: add additional ptrace scopes
  * Yama: higher restrictions should block PTRACE_TRACEME


=== debian/control ===
Source: linux-manta
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), libelf-dev, libiberty-dev, rsync, libdw-dev, python-dev, gcc-4.7, xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc, flex, bison
Vcs-Git: git://kernel.ubuntu.com/ubuntu/ubuntu-saucy.git manta

Package: linux-manta-headers-3.4.0-7
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0)
Description: Header files related to Linux kernel version 3.4.0
 This package provides kernel header files for version 3.4.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-manta-headers-3.4.0-7/debian.README.gz for details

Package: linux-manta-tools-common
Architecture: armhf
Section: kernel
Priority: optional
Depends: ${misc:Depends}
Description: Linux kernel version specific tools for version 3.4.0
 This package provides the architecture independent parts for kernel
 version locked tools (such as perf) for version PGKVER.

Package: linux-manta-tools-3.4.0-7
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-manta-tools-common
Description: Linux kernel version specific tools for version 3.4.0-7
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf) for version 3.4.0-7 on
 .


Package: linux-image-3.4.0-7-manta
Architecture: armhf
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: 
Suggests: fdutils, linux-manta-source-3.4.0
Description: Linux kernel image for version 3.4.0 on Nexus 10
 This package contains the Linux kernel image for version 3.4.0 on
 Nexus 10.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Nexus 10 processors.
 .
 Nexus 10 tablet
 .
 You likely do not want to install this package directly. Instead, install
 the linux-manta meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.4.0-7-manta
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-manta-headers-3.4.0-7, ${shlibs:Depends}
Description: Linux kernel headers for version 3.4.0 on Nexus 10
 This package provides kernel header files for version 3.4.0 on
 Nexus 10.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-manta-headers-3.4.0-7/debian.README.gz for details.

Package: linux-image-3.4.0-7-manta-dbgsym
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.4.0 on Nexus 10
 This package provides a kernel debug image for version 3.4.0 on
 Nexus 10.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

## linux-manta 3.4.0-7.32~15.04.1

=== debian/changelog ===
linux-manta (3.4.0-7.32~15.04.1) vivid; urgency=low

  [ Upstream Kernel Changes ]

  * audit: printk USER_AVC messages when audit isn't enabled
    - LP: #1473584

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 13 Jul 2015 14:49:51 -0700

linux-manta (3.4.0-7.31) vivid; urgency=low

  [ Upstream Kernel Changes ]

  * net: ipv4: current group_info should be put after using.
    - LP: #1312994
    - CVE-2014-2851

 -- Andy Whitcroft <apw@canonical.com>  Wed, 28 Jan 2015 20:58:00 +0000

## linux-manta 3.4.0-7.32

=== arch/unicore32/Makefile ===
#
# arch/unicore32/Makefile
#
# This file is included by the global makefile so that you can add your own
# architecture-specific flags and dependencies.
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file "COPYING" in the main directory of this archive
# for more details.
#
# Copyright (C) 2002~2010 by Guan Xue-tao
#
ifneq ($(SUBARCH),$(ARCH))
	ifeq ($(CROSS_COMPILE),)
		CROSS_COMPILE := $(call cc-cross-prefix, unicore32-linux-)
	endif
endif

LDFLAGS_vmlinux		:= -p --no-undefined -X

OBJCOPYFLAGS		:= -O binary -R .note -R .note.gnu.build-id -R .comment -S

# Never generate .eh_frame
KBUILD_CFLAGS		+= $(call cc-option,-fno-dwarf2-cfi-asm)

# Never use hard float in kernel
KBUILD_CFLAGS		+= -msoft-float

ifeq ($(CONFIG_FRAME_POINTER),y)
KBUILD_CFLAGS		+= -mno-sched-prolog
endif

CHECKFLAGS		+= -D__unicore32__

head-y			:= arch/unicore32/kernel/head.o
head-y			+= arch/unicore32/kernel/init_task.o

core-y			+= arch/unicore32/kernel/
core-y			+= arch/unicore32/mm/

libs-y			+= arch/unicore32/lib/

boot			:= arch/unicore32/boot

# Default defconfig and target when executing plain make
KBUILD_DEFCONFIG	:= $(ARCH)_defconfig
KBUILD_IMAGE		:= zImage

all:	$(KBUILD_IMAGE)

zImage Image uImage: vmlinux
	$(Q)$(MAKE) $(build)=$(boot) $(boot)/$@

archclean:
	$(Q)$(MAKE) $(clean)=$(boot)

define archhelp
  echo  '* zImage        - Compressed kernel image (arch/$(ARCH)/boot/zImage)'
  echo  '  Image         - Uncompressed kernel image (arch/$(ARCH)/boot/Image)'
  echo  '  uImage        - U-Boot wrapped zImage'
endef

=== arch/mips/power/Makefile ===
obj-$(CONFIG_HIBERNATION) += cpu.o hibernate.o

=== arch/mips/lantiq/xway/Makefile ===
obj-y := pmu.o ebu.o reset.o gpio.o gpio_stp.o gpio_ebu.o devices.o dma.o

obj-$(CONFIG_SOC_XWAY) += clk-xway.o prom-xway.o setup-xway.o
obj-$(CONFIG_SOC_AMAZON_SE) += clk-ase.o prom-ase.o setup-ase.o

obj-$(CONFIG_LANTIQ_MACH_EASY50712) += mach-easy50712.o
obj-$(CONFIG_LANTIQ_MACH_EASY50601) += mach-easy50601.o

=== sound/soc/samsung/srp_alp/Makefile ===
# ALP(Advanced Low Power Audio) Solution Support with SRP
obj-$(CONFIG_SND_SAMSUNG_ALP) += srp_alp.o

=== debian/changelog ===
linux-manta (3.4.0-7.32) wily; urgency=low

  [ Upstream Kernel Changes ]

  * audit: printk USER_AVC messages when audit isn't enabled
    - LP: #1473584

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 13 Jul 2015 14:49:51 -0700

linux-manta (3.4.0-7.31) wily; urgency=low

  [ Upstream Kernel Changes ]

  * net: ipv4: current group_info should be put after using.
    - LP: #1312994
    - CVE-2014-2851

 -- Andy Whitcroft <apw@canonical.com>  Wed, 28 Jan 2015 20:58:00 +0000
